CustomAttributesControllerGetCustomAttributeById Method |
GET /CustomAttributes/ById/{id}
Gets the custom attribute by ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetCustomAttributeById(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetCustomAttributeById (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ GetCustomAttributeById(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetCustomAttributeById :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The custom attribute ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA
CustomAttributeInfoData object, or a status code indicating the problem.
See Also